print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local fishHudFile = "Paletten/hud_fill_fish.dds"
	local fishHudFileSmall = "Paletten/hud_fill_fish_smal.dds"
	
    local fishFilType = g_fillTypeManager:addFillType("FISH", g_i18n:getText("fish"), true, pricebeer * 1.6, 0.00045, math.rad(10), fishHudFile, fishHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasfish=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasfish=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "FISH" then
		hasfish=true
	end;
		
end;

		if hasmaize and not hasfish then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("FISH")
		local price = g_fillTypeManager:getFillTypeByName("FISH").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("FISH")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)